notbugAs an Amazon Associate I earn from qualifying purchases.
Want a good read? Try FreeBSD Mastery: Jails (IT Mastery Book 15)

/commits.php is going away

I'm proposing to take /commits.php away - it mainly duplicates the home page. Details in this GitHub issue.
Port details
py-fabric1 High level SSH command execution
1.14.1,1 devel Deleted on this many watch lists=0 search for ports that depend on this port Find issues related to this port Report an issue related to this port View this port on Repology. pkg-fallout 1.14.1,1Version of this port present on the latest quarterly branch.
Deprecated DEPRECATED: Uses deprecated version of python
Expired This port expired on: 2020-11-15
Maintainer: koobs@FreeBSD.org search for ports maintained by this maintainer
Port Added: 2019-09-06 23:23:14
Last Update: 2020-11-15 18:37:29
SVN Revision: 555416
Also Listed In: python
License: BSD2CLAUSE
Description:
SVNWeb : git : Homepage
pkg-plist: as obtained via: make generate-plist
There is no configure plist information for this port.
Dependency lines:
  • ${PYTHON_PKGNAMEPREFIX}fabric1>0:devel/py-fabric1@${PY_FLAVOR}
Conflicts:
CONFLICTS_INSTALL:
  • py27-fabric
Conflicts Matches:
There are no Conflicts Matches for this port. This is usually an error.
No installation instructions: this port has been deleted.
The package name of this deleted port was:
PKGNAME: py27-fabric1
Package flavors (<flavor>: <package>)
  • py27: py27-fabric1
distinfo:
Packages (timestamps in pop-ups are UTC):
py27-fabric1
ABIlatestquarterly
FreeBSD:11:aarch64-1.14.1,1
FreeBSD:11:amd64--
FreeBSD:11:armv6-1.14.1,1
FreeBSD:11:i386--
FreeBSD:11:mips--
FreeBSD:11:mips64-1.14.1,1
FreeBSD:12:aarch64--
FreeBSD:12:amd64--
FreeBSD:12:armv6-1.14.1,1
FreeBSD:12:armv7-1.14.1,1
FreeBSD:12:i386--
FreeBSD:12:mips--
FreeBSD:12:mips64-1.14.1,1
FreeBSD:12:powerpc64--
FreeBSD:13:aarch64--
FreeBSD:13:amd64--
FreeBSD:13:armv6--
FreeBSD:13:armv7--
FreeBSD:13:i386--
FreeBSD:13:mips--
FreeBSD:13:mips64--
FreeBSD:13:powerpc64--
FreeBSD:14:aarch64--
FreeBSD:14:amd64--
FreeBSD:14:armv6--
FreeBSD:14:armv7--
FreeBSD:14:i386--
FreeBSD:14:mips--
FreeBSD:14:mips64--
FreeBSD:14:powerpc64--
 

Dependencies
NOTE: FreshPorts displays only information on required and default dependencies. Optional dependencies are not covered.
Build dependencies:
  1. py27-setuptools>0 : devel/py-setuptools@py27
  2. python2.7 : lang/python27
Runtime dependencies:
  1. py27-paramiko>=1.10 : security/py-paramiko@py27
  2. py27-setuptools>0 : devel/py-setuptools@py27
  3. python2.7 : lang/python27
NOTE: dependencies for deleted ports are notoriously suspect
This port is required by:
for Run

Deleted ports which required this port:

Expand this list of 3 deleted ports
  1. devel/py-cuisine*
  2. sysutils/py-ezjailremote*
  3. sysutils/py-ploy_fabric*
  4. Collapse this list of deleted ports.
* - deleted ports are only shown under the This port is required by section. It was harder to do for the Required section. Perhaps later...

Configuration Options:
Options name:

USES:

Master Sites:
Expand this list (2 items)
Collapse this list.
  1. https://files.pythonhosted.org/packages/source/F/Fabric/
  2. https://pypi.org/packages/source/F/Fabric/
Collapse this list.
Port Moves
  • port moved to devel/py-fabric on 2020-11-15
    REASON: Has expired: Uses deprecated version of python

Number of commits found: 3

Commit History - (may be incomplete: see SVNWeb link above for full details)
DateByDescription
15 Nov 2020 18:37:29
Original commit files touched by this commit Revision:555416  1.14.1,1
rene search for other commits by this committer
Remove expired ports:

2020-11-15 archivers/py-pyliblzma: Uses deprecated version of python
2020-11-15 databases/postgis23: Upstream no longer maintained
2020-11-15 databases/py-htsql: Uses deprecated version of python
2020-11-15 devel/bzr-fastimport: Uses deprecated version of python
2020-11-15 devel/py-ToscaWidgets: Uses deprecated version of python
2020-11-15 devel/py-calendar: Uses deprecated version of python
2020-11-15 devel/py-distorm: Uses deprecated version of python
2020-11-15 devel/py-fabric1: Uses deprecated version of python
2020-11-15 devel/py-rcsparse: Uses deprecated version of python
2020-11-15 devel/pyrex: Uses deprecated version of python
2020-11-15 japanese/py-tegaki: Uses deprecated version of python
2020-11-15 math/py-networkx1: Obsolete, please use math/py-networkx instead
2020-11-15 misc/py-progressbar231: Uses deprecated version of python
2020-11-15 multimedia/py-kaa-imlib2: Uses deprecated version of python
2020-11-15 multimedia/py-kaa-metadata: Uses deprecated version of python
2020-11-15 net-im/libtelepathy: Uses deprecated version of python
2020-11-15 security/py-mcrypt: Uses deprecated version of python
2020-11-15 www/py-beautifulsoup32: Uses deprecated version of python
2020-11-15 www/py-evernote: Uses deprecated version of python
2020-04-01 www/py-meld3: EOLed upstream
2020-11-15 www/py-requestbuilder: Uses deprecated version of python
2020-11-15 x11-toolkits/py-SquareMap: Uses deprecated version of python
16 Oct 2020 08:56:10
Original commit files touched by this commit Revision:552494  1.14.1,1
antoine search for other commits by this committer
Deprecate a few py27 ports
06 Sep 2019 23:23:09
Original commit files touched by this commit Revision:511378  1.14.1,1
dbaio search for other commits by this committer
devel/py-fabric: Copy to devel/py-fabric1

Make way for devel/py-fabric to be updated to its latest version (2.x)

Updates dependents that require fabric < 2 to devel/py-fabric1

Reviewed by:	koobs (maintainer)
Approved by:	koobs (maintainer)
Differential Revision:	https://reviews.freebsd.org/D21304

Number of commits found: 3